### Function

# Pango parse_weight

#### Declaration [src]

    gboolean
    pango_parse_weight (
      const char* str,
      PangoWeight* weight,
      gboolean warn
    )

#### Description [src]

Parses a font weight.

The allowed values are “heavy”, “ultrabold”, “bold”, “normal”, “light”, “ultraleight” and integers. Case variations are ignored.

#### Parameters

`str` | `const char*`
| A string to parse.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`weight` | `PangoWeight`
| A `PangoWeight` to store the result in.
| The argument will be set by the function.
| The called function takes ownership of the data, and is responsible for freeing it.
`warn` | `gboolean`
| If `TRUE`, issue a `g_warning()` on bad input.

#### Return value

Returns: | `gboolean`
| `TRUE` if `str` was successfully parsed.